#ifndef __ENCODE_DRAW_H__
#define __ENCODE_DRAW_H__

void encode_draw_status(iml_session_t *s, int encode, unsigned char *status_buf);
void encode_draw_preedit(iml_session_t *s, int encode, unsigned char *preedit_buf, int caret);
void encode_draw_candidates(iml_session_t *s, int encode, unsigned char **lookup_buf, int lookup_num, int lookup_label_type);
void encode_commit(iml_session_t *s, int encode, unsigned char *commit_buf, int commit_len);

#endif
